<?php
/**
 * Corponess Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Corponess Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function corponess_pro_custom_colors_css() {
  	$options= corponess_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	.backtotop,
	button:hover,
	input[type="button"]:hover,
	input[type="reset"]:hover,
	input[type="submit"]:hover,
	button:focus,
	input[type="button"]:focus,
	input[type="reset"]:focus,
	input[type="submit"]:focus,
	button:active,
	input[type="button"]:active,
	input[type="reset"]:active,
	input[type="submit"]:active,
	#top-bar,
	.main-navigation .count,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	form.search-form button.search-submit,
	.author-name:after,
	.reply a:hover,
	.reply a:focus,
	.btn:hover,
	.btn:focus,
	.featured-content-wrapper .btn:hover,
	.featured-content-wrapper .btn:focus,
	.featured-content-wrapper .btn:not(:first-child):hover,
	.featured-content-wrapper .btn:not(:first-child):focus,
	.slick-arrow,
	.service-icon a,
	#our-projects article .overlay,
	ul.tabs li a.active,
	ul.tabs li a:hover,
	ul.tabs li a:focus,
	.video-button a,
	#subscribe-section button[type="submit"],
	.separator,
	#magazine-popular-posts ul.post-categories li a,
	#magazine-featured-posts ul.post-categories li a,
	#magazine-recent-posts ul.post-categories li a,
	#magazine-latest-posts ul.post-categories li a,
	#magazine-most-viewed-posts ul.post-categories li a,
	.sixth-design .section-title { 
		background-color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	button,
	input[type="button"],
	input[type="reset"],
	input[type="submit"],
	a,
	.site-title a:hover,
	.site-title a:focus,
	.main-navigation ul#primary-menu li.current-menu-item > a,
	.main-navigation ul#primary-menu li:hover > a,
	.main-navigation ul#primary-menu li:focus > a,
	.main-navigation a:hover,
	.main-navigation ul.nav-menu > li > a:hover,
	.post-navigation a, 
	.posts-navigation a,
	.navigation.post-navigation a:hover,
	.navigation.posts-navigation a:hover,
	.navigation.post-navigation a:focus,
	.navigation.posts-navigation a:focus,
	.widget_popular_post h3 a:hover,
	.widget_popular_post h3 a:focus,
	.widget_popular_post a:hover time,
	.widget_popular_post a:focus time,
	.widget_latest_post h3 a:hover,
	.widget_latest_post h3 a:focus,
	.widget_latest_post a:hover time,
	.widget_latest_post a:focus time,
	#secondary .cat-links a,
	#secondary a:hover,
	#secondary a:focus,
	.page-header small,
	.single-post-wrapper span.tags-links a:hover,
	.single-post-wrapper span.tags-links a:focus,
	.reply a,
	.comment-meta .url:hover,
	.comment-meta .url:focus,
	.comment-metadata a:hover time,
	.comment-metadata a:focus time,
	.btn,
	.featured-content-wrapper .btn,
	.service-item-wrapper .entry-title a:hover,
	.service-item-wrapper .entry-title a:focus,
	#about-us .entry-title a:hover,
	#about-us .entry-title a:focus,
	#our-projects .entry-title a:hover,
	#our-projects .entry-title a:focus,
	#our-features .entry-title a:hover,
	#our-features .entry-title a:focus,
	#our-team .entry-title a:hover,
	#our-team .entry-title a:focus,
	#our-team .position,
	#testimonial-section .position,
	#testimonial-section .entry-title a:hover,
	#testimonial-section .entry-title a:focus,
	.post-item-wrapper .entry-title a:hover,
	.post-item-wrapper .entry-title a:focus,
	.post-item-wrapper .entry-meta > span.posted-on a:hover,
	.post-item-wrapper .entry-meta > span.posted-on a:focus,
	.single-wrapper .entry-meta span a:hover, 
	.single-wrapper .entry-meta span a:focus,
	.single-wrapper .cat-links a,
	.single-wrapper .entry-meta span.byline a.fn:hover,
	.single-wrapper .entry-meta span.byline a.fn:focus,
	.single-wrapper .entry-meta > span a:hover,
	.single-wrapper .entry-meta > span a:focus,
	#colophon a:hover,
	#colophon a:focus,
	#colophon .site-info a:hover,
	#colophon .site-info a:focus {
		color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	.loader-container svg,
	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation ul#primary-menu li:focus > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a.search-active:hover svg,
	.main-navigation ul#primary-menu li.search-menu:hover > a.search-active svg,
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:hover svg,
	.navigation.post-navigation a:focus svg,
	.navigation.posts-navigation a:focus svg,
	.single-post-wrapper span.posted-on svg,
	.single-post-wrapper span.cat-links svg,
	.featured-content-wrapper .btn:hover .more-icon svg, 
	.featured-content-wrapper .btn:focus .more-icon svg { 
		fill: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	button,
	input[type="button"],
	input[type="reset"],
	input[type="submit"],
	input[type="text"]:focus,
	input[type="email"]:focus,
	input[type="url"]:focus,
	input[type="password"]:focus,
	input[type="search"]:focus,
	input[type="number"]:focus,
	input[type="tel"]:focus,
	input[type="range"]:focus,
	input[type="date"]:focus,
	input[type="month"]:focus,
	input[type="week"]:focus,
	input[type="time"]:focus,
	input[type="datetime"]:focus,
	input[type="datetime-local"]:focus,
	input[type="color"]:focus,
	textarea:focus,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.single-post-wrapper span.tags-links a:hover,
	.single-post-wrapper span.tags-links a:focus,
	.reply a,
	.btn,
	.featured-content-wrapper .btn:hover,
	.featured-content-wrapper .btn:focus,
	.featured-content-wrapper .btn:not(:first-child):hover,
	.featured-content-wrapper .btn:not(:first-child):focus { 
		border-color: ' . esc_attr($color_value) . '; 
	}

	.sixth-design .section-header {
	    border-bottom-color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr($color_value) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	}';

	/**
	 * Filters Corponess Pro custom colors CSS.
	 *
	 * @since Corponess Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'corponess_pro_custom_colors_css', $css );
}
