<?php
/**
 * Topbar Section options
 *
 * @package Theme Palace
 * @subpackage Corponess Pro
 * @since Corponess Pro 1.0.0
 */

// Add Topbar section
$wp_customize->add_section( 'corponess_pro_topbar_section', array(
	'title'             => esc_html__( 'Topbar','corponess-pro' ),
	'description'       => esc_html__( 'Topbar Section options.', 'corponess-pro' ),
	'panel'             => 'corponess_pro_front_page_panel',
) );

// topbar enable/disable control and setting
$wp_customize->add_setting( 'corponess_pro_theme_options[topbar_section_enable]', array(
	'default'			=> 	$options['topbar_section_enable'],
	'sanitize_callback' => 'corponess_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Corponess_Pro_Switch_Control( $wp_customize, 'corponess_pro_theme_options[topbar_section_enable]', array(
	'label'             => esc_html__( 'Topbar Section Enable', 'corponess-pro' ),
	'section'           => 'corponess_pro_topbar_section',
	'on_off_label' 		=> corponess_pro_switch_options(),
) ) );

// Topbar content enable control and setting
$wp_customize->add_setting( 'corponess_pro_theme_options[social_menu_enable]', array(
	'default'			=> 	$options['social_menu_enable'],
	'sanitize_callback' => 'corponess_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Corponess_Pro_Switch_Control( $wp_customize, 'corponess_pro_theme_options[social_menu_enable]', array(
	'label'             => esc_html__( 'Social Menu Enable', 'corponess-pro' ),
	'description'       => sprintf( '%1$s <a class="topbar-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show secondary and social menu.', 'corponess-pro' ), esc_html__( 'Click Here', 'corponess-pro' ), esc_html__( 'to create menu', 'corponess-pro' ) ),
	'section'           => 'corponess_pro_topbar_section',
	'active_callback'   => 'corponess_pro_is_topbar_section_enable',
	'on_off_label' 		=> corponess_pro_switch_options(),
) ) );

$wp_customize->add_setting( 'corponess_pro_theme_options[topbar_field_1]', array(
    'default'           =>  $options['topbar_field_1'],
    'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control('corponess_pro_theme_options[topbar_field_1]', array(
    'label'             => esc_html__( 'Contact Number', 'corponess-pro' ),
    'section'           => 'corponess_pro_topbar_section',
    'type'              => 'text',
    'active_callback'   => 'corponess_pro_is_topbar_section_enable',
 ) );

$wp_customize->add_setting( 'corponess_pro_theme_options[topbar_field_2]', array(
    'default'           =>  $options['topbar_field_2'],
    'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control('corponess_pro_theme_options[topbar_field_2]', array(
    'label'             => esc_html__( 'Contact Email', 'corponess-pro' ),
    'section'           => 'corponess_pro_topbar_section',
    'type'              => 'text',
    'active_callback'   => 'corponess_pro_is_topbar_section_enable',
 ) );




