<?php
/**
 * Moral OCDI plugin compatible functions
 *
 * @package Moral
 */

function corponess_pro_ctdi_plugin_page_setup( $default_settings ) {
    $default_settings['menu_title']  = esc_html__( 'Theme Palace Demo Import' , 'corponess-pro' );

    return $default_settings;
}
add_filter( 'cp-ctdi/plugin_page_setup', 'corponess_pro_ctdi_plugin_page_setup' );


function corponess_pro_ctdi_import_files() {
    return array(
        array(
            'import_file_name'             => esc_html__( 'Free', 'corponess-pro' ),
            'local_import_file'            => get_template_directory() . '/assets/demo/free/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/free/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/free/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/free/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'corponess-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/corponess',
        ),
        array(
            'import_file_name'             => esc_html__( 'Pro', 'corponess-pro' ),
            'local_import_file'            => get_template_directory() . '/assets/demo/pro/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/pro/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/pro/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/pro/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'corponess-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/corponess-pro',
        ),
        array(
            'import_file_name'             => esc_html__( 'Dark', 'corponess-pro' ),
            'local_import_file'            => get_template_directory() . '/assets/demo/dark/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/dark/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/dark/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/dark/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'corponess-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/corponess-pro-dark',
        ),
        array(
            'import_file_name'             => esc_html__( 'Education', 'corponess-pro' ),
            'local_import_file'            => get_template_directory() . '/assets/demo/education/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/education/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/education/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/education/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'corponess-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/corponess-pro-education',
        ),
        array(
            'import_file_name'             => esc_html__( 'Medical', 'corponess-pro' ),
            'local_import_file'            => get_template_directory() . '/assets/demo/medical/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/medical/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/medical/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/medical/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'corponess-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/corponess-pro-medical',
        ),
        array(
            'import_file_name'             => esc_html__( 'Blog', 'corponess-pro' ),
            'local_import_file'            => get_template_directory() . '/assets/demo/blog/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/blog/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/blog/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/blog/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'corponess-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/corponess-pro-blog',
        ),
        array(
            'import_file_name'             => esc_html__( 'Classic', 'corponess-pro' ),
            'local_import_file'            => get_template_directory() . '/assets/demo/classic/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/classic/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/classic/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/classic/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'corponess-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/corponess-pro-classic',
        ),
        array(
            'import_file_name'             => esc_html__( 'Lawyer', 'corponess-pro' ),
            'local_import_file'            => get_template_directory() . '/assets/demo/lawyer/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/lawyer/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/lawyer/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/lawyer/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'corponess-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/corponess-pro-lawyer',
        ),
         array(
            'import_file_name'             => esc_html__( 'Magazine', 'corponess-pro' ),
            'local_import_file'            => get_template_directory() . '/assets/demo/magazine/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/magazine/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/magazine/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/magazine/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'corponess-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/corponess-pro-magazine',
        ),
    );
}
add_filter( 'cp-ctdi/import_files', 'corponess_pro_ctdi_import_files' );



function corponess_pro_ctdi_after_import_setup() {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Primary', 'nav_menu' );
    $social = get_term_by('name', 'Social', 'nav_menu');
    $secondary = get_term_by('name', 'secondary', 'nav_menu');

    set_theme_mod( 'nav_menu_locations', array(
            'primary' => $main_menu->term_id,
            'social' => $social->term_id,
            'secondary' => $$secondary->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'cp-ctdi/after_import', 'corponess_pro_ctdi_after_import_setup' );
