<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Corponess Pro
 * @since Corponess Pro 1.0.0
 */
$options = corponess_pro_get_theme_options();
$class = has_post_thumbnail() ? '' : 'no-post-thumbnail';
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'clear ' . $class ); ?>>

	<div class="entry-meta">
		<?php if ( ! $options['single_post_hide_author'] ) :
			echo corponess_pro_author( get_the_author_meta( 'ID' ) );
		endif; 

		if ( ! $options['single_post_hide_date'] ) :
			corponess_pro_posted_on( get_the_id() ); 
		endif; ?>
    </div><!-- .entry-meta -->

    <div class="entry-container">
        <div class="entry-content">
            <?php
				the_content( sprintf(
					/* translators: %s: Name of current post. */
					wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'corponess-pro' ), array( 'span' => array( 'class' => array() ) ) ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				) );

				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'corponess-pro' ),
					'after'  => '</div>',
				) );
			?>
        </div><!-- .entry-content -->
    </div><!-- .entry-container -->

   <div class="entry-meta">
        <?php
        	// echo esc_html__( 'Categories: ', 'corponess-pro' ); 
        	corponess_pro_single_categories();
        	corponess_pro_entry_footer();
    	?>
    </div><!-- .entry-meta -->

</article><!-- #post-## -->
